Summary:	Transform bitmaps into vector graphics
Name:		potrace
Version:	1.16
Release:	5%{?dist}
License:	GPLv2+
URL:		http://potrace.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	http://potrace.sourceforge.net/potrace.pdf
Source2:	http://potrace.sourceforge.net/potracelib.pdf

BuildRequires:  gcc make zlib-devel

%description
Potrace is a utility for tracing a bitmap, which means, transforming a bitmap 
into a smooth, scalable image. The input is a bitmap (PBM, PGM, PPM, or BMP
format), and the default output is an encapsulated PostScript file (EPS).
A typical use is to create EPS files from scanned data, such as company or
university logos, handwritten notes, etc. The resulting image is not "jaggy"
like a bitmap, but smooth. It can then be rendered at any resolution.

Potrace can currently produce the following output formats: EPS, PostScript,
PDF, SVG (scalable vector graphics), Xfig, Gimppath, and PGM (for easy
antialiasing). Additional backends might be added in the future.

Mkbitmap is a program distributed with Potrace which can be used to pre-process
the input for better tracing behavior on greyscale and color images.


%package devel
Summary:	Potrace development library and headers
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the potrace development library and headers.


%prep
%setup -q
cp -a %{SOURCE1} .
cp -a %{SOURCE2} .


%build
%configure --enable-shared --disable-static --enable-metric --with-libpotrace --with-pic
%make_build


%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -name *.la -exec rm -rf {} \;

rm -rf %{buildroot}%{_docdir}/%{name}


%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README doc/placement.pdf
%{_bindir}/potrace
%{_bindir}/mkbitmap
%{_libdir}/libpotrace.so.*
%{_mandir}/man1/potrace.1*
%{_mandir}/man1/mkbitmap.1*


%files devel
%{_libdir}/libpotrace.so
%{_includedir}/potracelib.h
%doc potrace.pdf potracelib.pdf


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 rockerzhu <rockerzhu@tencent.com> - 1.16-1
- Initial build
